Bug 61244

Summary: Make cell.getCachedFormulaResultType() return CellType
Product: POI Reporter: PJ Fanning <fanningpj>
Component: SS CommonAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: enhancement    
Priority: P2    
Version: 3.17-dev   
Target Milestone: ---   
Hardware: PC   
OS: Mac OS X 10.1   
Attachments: patch

Description PJ Fanning 2017-06-30 20:13:11 UTC
Created attachment 35091 [details]
patch

This method returns an int instead of an enum - some variants are marked for removal in 3.17 but not all.
I'll attach a patch because I'd like to get a review before proceeding.
Comment 1 PJ Fanning 2017-09-18 10:53:59 UTC
Changed method to return CellType and deprecated the getCachedFormulaResultTypeEnum method.
https://svn.apache.org/repos/asf/poi/trunk@1808678
Comment 2 Dominik Stadler 2017-09-28 14:11:35 UTC
I resolved this as I think the main goal of having getCachedFormulaResultType return CellType is done, the deprecations will lead to removal in future versions anyway.